### База данных Музыкального приложения

## I
Будем разрабатывать базу данных для _упрощённого_ музыкального приложения,
похожего на Spotify/YouTube Music/iTunes со следующей функциональностью:

+ оформление подписки;
+ пользовательские плейлисты;
+ поиск аудиотреков;

Функциональность, которую мы точно не будем реализовывать
- стриминг аудиотреков;
- пользовательские рекомендации(?);

## II

Специфичные ограничения:
- обязателен учёт пользователей (_например, с помощью какого-то числового
идентификатора_);
- для каждого трека должна быть сохранена следующая инфа:
  - UPS (исполнитель)
  - ISRC (год+страна записи)
  - название трека
  - исполнитель
  - [опционально] текст трека
  - [опционально] жанр
  - [опционально] язык(и?) (_а сколько языков есть? можно ли их
  описать в отдельной таблице?_)
- про плейлисты хорошо бы тоже хранить информацию:
  - название;
  - описание;
  - открытый или нет;

Обязателен учёт следующих связей:
  - пользователь <-> плейлисты
  - плейлисты <-> набор треков
